zookeeper-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From iv...@apache.org
Subject svn commit: r1208472 - in /zookeeper/bookkeeper/trunk: CHANGES.txt bookkeeper-server/bin/bookkeeper hedwig-server/bin/hedwig pom.xml
Date Wed, 30 Nov 2011 15:42:15 GMT
Author: ivank
Date: Wed Nov 30 15:42:14 2011
New Revision: 1208472

URL: http://svn.apache.org/viewvc?rev=1208472&view=rev
Log:
BOOKKEEPER-66: use IPv4 for builds (mmorel via ivank)

Modified:
    zookeeper/bookkeeper/trunk/CHANGES.txt
    zookeeper/bookkeeper/trunk/bookkeeper-server/bin/bookkeeper
    zookeeper/bookkeeper/trunk/hedwig-server/bin/hedwig
    zookeeper/bookkeeper/trunk/pom.xml

Modified: zookeeper/bookkeeper/trunk/CHANGES.txt
URL: http://svn.apache.org/viewvc/zookeeper/bookkeeper/trunk/CHANGES.txt?rev=1208472&r1=1208471&r2=1208472&view=diff
==============================================================================
--- zookeeper/bookkeeper/trunk/CHANGES.txt (original)
+++ zookeeper/bookkeeper/trunk/CHANGES.txt Wed Nov 30 15:42:14 2011
@@ -39,6 +39,8 @@ Release 4.0.0 - 2011-11-30
       BOOKKEEPER-122: Review BookKeeper server documentation (fpj & ivank)
  
       BOOKKEEPER-130: Add developer KEYS file to svn (ivank)
+      
+      BOOKKEEPER-66: use IPv4 for builds (mmorel via ivank)
 
       bookkeeper-server/
 

Modified: zookeeper/bookkeeper/trunk/bookkeeper-server/bin/bookkeeper
URL: http://svn.apache.org/viewvc/zookeeper/bookkeeper/trunk/bookkeeper-server/bin/bookkeeper?rev=1208472&r1=1208471&r2=1208472&view=diff
==============================================================================
--- zookeeper/bookkeeper/trunk/bookkeeper-server/bin/bookkeeper (original)
+++ zookeeper/bookkeeper/trunk/bookkeeper-server/bin/bookkeeper Wed Nov 30 15:42:14 2011
@@ -20,6 +20,15 @@
 # * limitations under the License.
 # */
 
+# check if net.ipv6.bindv6only is set to 1
+bindv6only=$(/sbin/sysctl -n net.ipv6.bindv6only 2> /dev/null)
+if [ -n "$bindv6only" ] && [ "$bindv6only" -eq "1" ]
+then
+  echo "Error: \"net.ipv6.bindv6only\" is set to 1 - Java networking could be broken"
+  echo "For more info (the following page also applies to bookkeeper): http://wiki.apache.org/hadoop/HadoopIPv6"
+  exit 1
+fi
+
 BINDIR=`dirname "$0"`
 BK_HOME=`cd $BINDIR/..;pwd`
 
@@ -108,6 +117,9 @@ OPTS="-cp $BOOKIE_CLASSPATH $OPTS $BOOKI
 
 OPTS="$OPTS $BOOKIE_EXTRA_OPTS"
 
+# Disable ipv6 as it can cause issues
+OPTS="$OPTS -Djava.net.preferIPv4Stack=true"
+
 if [ $COMMAND == "bookie" ]; then
     exec java $OPTS org.apache.bookkeeper.proto.BookieServer --conf $BOOKIE_CONF $@
 elif [ $COMMAND == "localbookie" ]; then

Modified: zookeeper/bookkeeper/trunk/hedwig-server/bin/hedwig
URL: http://svn.apache.org/viewvc/zookeeper/bookkeeper/trunk/hedwig-server/bin/hedwig?rev=1208472&r1=1208471&r2=1208472&view=diff
==============================================================================
--- zookeeper/bookkeeper/trunk/hedwig-server/bin/hedwig (original)
+++ zookeeper/bookkeeper/trunk/hedwig-server/bin/hedwig Wed Nov 30 15:42:14 2011
@@ -20,6 +20,15 @@
 # * limitations under the License.
 # */
 
+# check if net.ipv6.bindv6only is set to 1
+bindv6only=$(/sbin/sysctl -n net.ipv6.bindv6only 2> /dev/null)
+if [ -n "$bindv6only" ] && [ "$bindv6only" -eq "1" ]
+then
+  echo "Error: \"net.ipv6.bindv6only\" is set to 1 - Java networking could be broken"
+  echo "For more info (the following page also applies to hedwig): http://wiki.apache.org/hadoop/HadoopIPv6"
+  exit 1
+fi
+
 BINDIR=`dirname "$0"`
 HW_HOME=`cd $BINDIR/..;pwd`
 
@@ -104,6 +113,9 @@ if [ "$HEDWIG_LOG_CONF" != "" ]; then
 fi
 OPTS="-cp $HEDWIG_CLASSPATH $OPTS $HEDWIG_EXTRA_OPTS"
 
+# Disable ipv6 as it can cause issues
+OPTS="$OPTS -Djava.net.preferIPv4Stack=true"
+
 if [ $COMMAND == "server" ]; then
     exec java $OPTS org.apache.hedwig.server.netty.PubSubServer $HEDWIG_SERVER_CONF $@
 elif [ $COMMAND == "help" ]; then

Modified: zookeeper/bookkeeper/trunk/pom.xml
URL: http://svn.apache.org/viewvc/zookeeper/bookkeeper/trunk/pom.xml?rev=1208472&r1=1208471&r2=1208472&view=diff
==============================================================================
--- zookeeper/bookkeeper/trunk/pom.xml (original)
+++ zookeeper/bookkeeper/trunk/pom.xml Wed Nov 30 15:42:14 2011
@@ -56,6 +56,9 @@
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-surefire-plugin</artifactId>
         <version>2.9</version>
+        <configuration>
+          <argLine>-Djava.net.preferIPv4Stack=true</argLine>
+        </configuration>
       </plugin>
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>



Mime
View raw message